​
Select Service
ves-io-schema-role-API-List
Published April 5, 2023 | Last modified September 15, 2026
Examples of listing role
Usecase:
List role
Request using vesctl:
vesctl configuration list role --namespace documentation
vesctl yaml response:
errors: []items:- annotations: {} labels: {} name: role-1 namespace: documentation statusSet: [] tenant: acmecorp uid: 81346061-df2f-4dea-8abc-7329230f841bRequest using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1655461974_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/web/namespaces/documentation/roles'curl response
HTTP/1.1 200 OKContent-Length: 436Content-Type: application/jsonDate: Fri, 19 Jun 2026 22:04:17 GMTVary: Accept-Encoding
{ "items": [ { "tenant": "acmecorp", "namespace": "documentation", "name": "role-1", "uid": "81346061-df2f-4dea-8abc-7329230f841b", "description": "", "disabled": false, "labels": { }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] } ], "errors": [ ]}